commit:     7f1b11642eaf187c9fe3a60870a0a1329c509c30
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 25 06:22:20 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Nov 25 06:22:20 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f1b1164

dev-ruby/tty-prompt: add 0.20.0

Package-Manager: Portage-2.3.76, Repoman-2.3.16
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/tty-prompt/Manifest                 |  1 +
 dev-ruby/tty-prompt/tty-prompt-0.20.0.ebuild | 30 ++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-ruby/tty-prompt/Manifest b/dev-ruby/tty-prompt/Manifest
index 17949469a8e..c98ea6aff62 100644
--- a/dev-ruby/tty-prompt/Manifest
+++ b/dev-ruby/tty-prompt/Manifest
@@ -1 +1,2 @@
 DIST tty-prompt-0.19.0.gem 71680 BLAKE2B 
67da3c428fa5ab602fa4735d06115ba5bab53f06d43109fa06810e538cafae5486767f41927fc77616e608278a0f955659734704c9536b40e87682e6f0e5718b
 SHA512 
958263a7b3b7cfbac2877d81878b324fe53bc258be36749597f959085643e50247651bf48fceff4bf1098b68cf47dae68f30173e45585bfdbf7126959387427a
+DIST tty-prompt-0.20.0.gem 72704 BLAKE2B 
c3a24544459bfd70aa1ada029211d8873665794ac0dfa19bd02c86e3104c937aefc50009763ccacc3b3eb7c91b220125279c4388a94cd4dab5bc2cb77bad701e
 SHA512 
d3e018465779d673bb80d15f2706edd762236dbee37bc9bd090138fb5dd918c63c4cda3418054391b9d15032fde399911e50c6fbed9d8063afc5896b31fb3fb1

diff --git a/dev-ruby/tty-prompt/tty-prompt-0.20.0.ebuild 
b/dev-ruby/tty-prompt/tty-prompt-0.20.0.ebuild
new file mode 100644
index 00000000000..60974d95f5d
--- /dev/null
+++ b/dev-ruby/tty-prompt/tty-prompt-0.20.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A beautiful and powerful interactive command line prompt"
+HOMEPAGE="https://github.com/piotrmurach/tty-prompt";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+       =dev-ruby/necromancer-0.5*
+       =dev-ruby/pastel-0.7*
+       =dev-ruby/tty-reader-0.7*
+"
+
+all_ruby_prepare() {
+       echo '-rspec_helper' > .rspec || die
+}

Reply via email to